%{?scl:%scl_package mcollective-nettest-agent}
%{!?scl:%global pkg_name %{name}}

Summary: Agent to do network tests from a mcollective host
Name: %{?scl_prefix}mcollective-nettest-agent
Version: 3.0.3
Release: 1%{?dist}
License: BSD
URL: http://github.com/deasmi
Vendor: Puppet Labs
Packager: Dean Smith <dean@zelotus.com>
BuildRoot: %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Group: System Tools
Source0: mcollective-nettest-agent-3.0.3.tgz
%{?scl:Requires: %{scl}-runtime}
Requires: %{?scl_prefix}rubygem-net-ping 
Requires: %{?scl_prefix}mcollective-common >= 2.2.1
Requires: %{?scl_prefix}mcollective-nettest-common >= 3.0.3

%description
Agent to do network tests from a mcollective host

%prep
%setup -n %{pkg_name}-%{version}

%build

%install
rm -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_libexecdir}/mcollective/mcollective/agent

%{__install} -m0644 usr/libexec/mcollective/mcollective/agent/nettest.rb %{buildroot}%{_libexecdir}/mcollective/mcollective/agent/nettest.rb

%files
%defattr(-,root,root,-)
%{_libexecdir}/mcollective/mcollective/agent/nettest.rb

%changelog
* Wed Jul 03 2013 Dean Smith <dean@zelotus.com> - 3.0.3-1
- Built Package mcollective-nettest-agent
